# Provision a cryptogram for short time use based on a network token

A network token cryptogram is a one-time value generated for a single payment authorization attempt using the network token. It helps to prove that the network token is valid and being used by an authorized party for a specific transaction.

Endpoint: POST /tokens/network/cryptograms
Version: 3
Security: BasicAuth

## Security:

  - `BasicAuth` (unknown)
    http basic

## Request fields (application/vnd.worldpay.tokens-v3.hal+json):

  - `tokenNumber` (string, required)

## Request examples:

  - `Provision a cryptogram based on a network token` (unknown)

## Response 200:

  - `200` (unknown)
    Success.

## Response 200 fields (application/vnd.worldpay.tokens-v3.hal+json):

  - `cryptogramDetails` (object, required)

  - `cryptogramDetails.cryptogram` (string, required)

  - `cryptogramDetails.eci` (string, required)

  - `_links` (object, required)

## Response 404:

  - `404` (unknown)
    Resource not found.

## Response 404 fields (application/vnd.worldpay.tokens-v3.hal+json):

  - `errorName` (string, required)
    Example: resourceNotFound

  - `message` (string, required)
    Example: Requested resource was not found

## Response 200 examples:

  - `Provision a cryptogram based on a network token` (unknown)

## Response 404 examples:

  - `Resource not found` (unknown)

